## qastools 0.17.1

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


# Default build type

IF ( NOT CMAKE_BUILD_TYPE )
	SET ( CMAKE_BUILD_TYPE Release )
ENDIF ( NOT CMAKE_BUILD_TYPE )

IF ( NOT BUILD_LIST )
	SET ( BUILD_LIST "qascommon,qasconfig,qashctl,qasmixer" )
ENDIF ( NOT BUILD_LIST )


# program/package/version suffix

IF ( NOT PROGRAM_SUFFIX )
	SET ( PROGRAM_SUFFIX "" )
ENDIF ( NOT PROGRAM_SUFFIX )

IF ( NOT VERSION_SUFFIX )
	SET ( VERSION_SUFFIX "" )
ENDIF ( NOT VERSION_SUFFIX )

IF ( NOT PACKAGE_SUFFIX )
	SET ( PACKAGE_SUFFIX "" )
ENDIF ( NOT PACKAGE_SUFFIX )


# Package name

IF ( NOT PACKAGE_TITLE )
	SET ( PACKAGE_TITLE "QasTools" )
ENDIF ( NOT PACKAGE_TITLE )

IF ( NOT PACKAGE_NAME )
	SET ( PACKAGE_NAME "qastools${PACKAGE_SUFFIX}" )
ENDIF ( NOT PACKAGE_NAME )


# Package version

SET ( PACKAGE_VERSION_MAJOR "0" )
SET ( PACKAGE_VERSION_MINOR "17" )
SET ( PACKAGE_VERSION_PATCH "1" )

SET ( PACKAGE_VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}${VERSION_SUFFIX}" )


# Installation directories

IF ( NOT INSTALL_DIR_BIN )
	SET ( INSTALL_DIR_BIN "bin" )
ENDIF ( NOT INSTALL_DIR_BIN )

IF ( NOT INSTALL_DIR_MAN )
	SET ( INSTALL_DIR_MAN "share/man/man1" )
ENDIF ( NOT INSTALL_DIR_MAN )

IF ( NOT INSTALL_DIR_DESKTOP )
	SET ( INSTALL_DIR_DESKTOP "share/applications" )
ENDIF ( NOT INSTALL_DIR_DESKTOP )


IF ( NOT INSTALL_DIR_DATA )
	SET ( INSTALL_DIR_DATA "share/${PACKAGE_NAME}" )
ENDIF ( NOT INSTALL_DIR_DATA )

IF ( NOT INSTALL_DIR_L10N )
	SET ( INSTALL_DIR_L10N "${INSTALL_DIR_DATA}/l10n" )
ENDIF ( NOT INSTALL_DIR_L10N )

IF ( NOT INSTALL_DIR_APP_ICONS )
	SET ( INSTALL_DIR_APP_ICONS "${INSTALL_DIR_DATA}/icons" )
ENDIF ( NOT INSTALL_DIR_APP_ICONS )

IF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )
	SET ( INSTALL_DIR_WIDGETS_GRAPHICS "${INSTALL_DIR_DATA}/widgets" )
ENDIF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )


# Icon installation directories

IF ( NOT INSTALL_DIR_ICONS_PNG_16 )
	SET ( INSTALL_DIR_ICONS_PNG_16 "share/icons/hicolor/16x16/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_16 )

IF ( NOT INSTALL_DIR_ICONS_PNG_32 )
	SET ( INSTALL_DIR_ICONS_PNG_32 "share/icons/hicolor/32x32/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_32 )

IF ( NOT INSTALL_DIR_ICONS_PNG_48 )
	SET ( INSTALL_DIR_ICONS_PNG_48 "share/icons/hicolor/48x48/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_48 )

IF ( NOT INSTALL_DIR_ICONS_PNG_64 )
	SET ( INSTALL_DIR_ICONS_PNG_64 "share/icons/hicolor/64x64/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_64 )

IF ( NOT INSTALL_DIR_ICONS_SVG )
	SET ( INSTALL_DIR_ICONS_SVG "share/icons/hicolor/scalable/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_SVG )


# Localization file prefix

SET ( L10N_PREFIX "${PACKAGE_NAME}_" )


# Shared resources

SET ( SHARED_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/shared" )
SET ( SHARED_SRC_DIR "${SHARED_RES_DIR}/src" )
SET ( SHARED_INC_DIR "${SHARED_RES_DIR}/src" )


# Installation

IF ( NOT SKIP_LICENSE_INSTALL )
	INSTALL( FILES "COPYING"
		DESTINATION ${INSTALL_DIR_DATA} )
ENDIF ( NOT SKIP_LICENSE_INSTALL )


# Process subdirectories

IF ( ${BUILD_LIST} MATCHES "qascommon" )
	ADD_SUBDIRECTORY ( i18n )
	ADD_SUBDIRECTORY ( shared )
ENDIF ( ${BUILD_LIST} MATCHES "qascommon" )

IF ( ${BUILD_LIST} MATCHES "qasconfig" )
	ADD_SUBDIRECTORY ( qasconfig )
ENDIF ( ${BUILD_LIST} MATCHES "qasconfig" )

IF ( ${BUILD_LIST} MATCHES "qashctl" )
	ADD_SUBDIRECTORY ( qashctl )
ENDIF ( ${BUILD_LIST} MATCHES "qashctl" )

IF ( ${BUILD_LIST} MATCHES "qasmixer" )
	ADD_SUBDIRECTORY ( qasmixer )
ENDIF ( ${BUILD_LIST} MATCHES "qasmixer" )
