=== debian/changelog ===
qastools (0.17.1-1) unstable; urgency=low

  * replaces qasmixer and qasconfig package for easier maintenance
  * qasconfig: new basic command line options (--version, --help, etc.)
  * qashctl: qashctl forked out of qasmixer into separate application
  * qashctl: wrong pixmaps in switch widgets fixed
  * qashctl: new basic command line options (--version, --help, etc.)
  * qasmixer: command line arguments -D and -c fixed
  * qasmixer: command line arguments descriptions added in manpage
  * shared: painting fixed for Qt 4.8.0
  * shared: freed memory access fix
  * shared: info dialog adapted to QasTools
  * all: style tweaks
  * all: manpages updated
  * Initial public release (Closes: #651943)

 -- Sebastian Holtermann <sebholt@xwmw.org>  Mon, 30 Jan 2012 13:45:29 +0100
