=== debian/control ===
Source: qastools
Section: sound
Priority: optional
Maintainer: Sebastian Holtermann <sebholt@xwmw.org>
Build-Depends: debhelper (>= 8), cmake, libasound2-dev, libqt4-dev
Standards-Version: 3.9.2
Homepage: http://xwmw.org/qastools

Package: qastools-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QasTools common files
 QasTools is a collection of desktop applications for the 
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 This package contains common files shared by all applications.

Package: qasconfig
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, qastools-common
Description: ALSA configuration browser
 QasTools is a collection of desktop applications for the 
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 ALSA's configuration resides in a tree structure which gets built 
 from the contents of the files /etc/asound.conf and ~/.asoundrc.
 QasConfig is a simple browser for this configuration tree and can 
 help to analyze and debug an ALSA setup. 

Package: qashctl
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, qastools-common
Description: mixer for ALSA's High level Control Interface
 QasTools is a collection of desktop applications for the 
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 QasHctl is a mixer application for ALSA's 
 "High level Control Interface". This interface allows more complex 
 interaction than the "Simple Mixer Interface" which is used by 
 alsamixer and QasMixer.

Package: qasmixer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, qastools-common
Description: ALSA mixer for the desktop
 QasTools is a collection of desktop applications for the 
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 QasMixer is a desktop mixer application for ALSA's 
 "Simple Mixer Interface" and offers features similar to alsamixer. 
 It also features a sytem tray icon with basic mixer functionality.
