## qastools 0.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 SET ( PACKAGE_VERSION_MAJOR "0" )
 SET ( PACKAGE_VERSION_MINOR "17" )
-SET ( PACKAGE_VERSION_PATCH "1" )
+SET ( PACKAGE_VERSION_PATCH "2" )
 
 SET ( PACKAGE_VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}${VERSION_SUFFIX}" )
