=== debian/changelog ===
qastools (0.17.2-2) unstable; urgency=low

  * Move python-scour to Build-Depends to fix FTBFS.

 -- Alessio Treglia <alessio@debian.org>  Thu, 17 May 2012 10:27:26 +0200

qastools (0.17.2-1) unstable; urgency=low

  [ Sebastian Holtermann ]
  * New upstream release:
    - Compiler error and warning fixes for gcc-4.7 (Closes: #672052)
  * Standards version increased to 3.9.3.
  * Maintainer field changed to Debian Multimedia Maintainers.
  * Add Alessio Treglia to the Uploaders field.

  [ Alessio Treglia ]
  * debian/control:
    - Remove unneeded shlibs:Depends from qastools-common's Depends field.
    - Add python-scour to Build-Depends-Indep.
  * debian/rules:
    - Add --with scour to dh sequencer to optimize SVGs at build time.
  * debian/copyright: Update the Format field.
  * Add Vcs tags.

 -- Sebastian Holtermann <sebholt@xwmw.org>  Wed, 09 May 2012 09:54:44 +0200
