=== debian/control ===
Source: qastools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Sebastian Holtermann <sebholt@xwmw.org>
Build-Depends:
 cmake,
 debhelper (>= 8),
 libasound2-dev,
 libqt4-dev,
 python-scour
Standards-Version: 3.9.3
Homepage: http://xwmw.org/qastools
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qastools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qastools.git

Package: qastools-common
Architecture: all
Depends:
 ${misc:Depends}
Description: QasTools common files
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 This package contains common files shared by all applications.

Package: qasconfig
Architecture: linux-any
Depends:
 qastools-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA configuration browser
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 ALSA's configuration resides in a tree structure which gets built
 from the contents of the files /etc/asound.conf and ~/.asoundrc.
 QasConfig is a simple browser for this configuration tree and can
 help to analyze and debug an ALSA setup.

Package: qashctl
Architecture: linux-any
Depends:
 qastools-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: mixer for ALSA's High level Control Interface
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 QasHctl is a mixer application for ALSA's
 "High level Control Interface". This interface allows more complex
 interaction than the "Simple Mixer Interface" which is used by
 alsamixer and QasMixer.

Package: qasmixer
Architecture: linux-any
Depends:
 qastools-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA mixer for the desktop
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 QasMixer is a desktop mixer application for ALSA's
 "Simple Mixer Interface" and offers features similar to alsamixer.
 It also features a sytem tray icon with basic mixer functionality.
