## qastools 0.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,8 +42,8 @@
 # Package version
 
 SET ( PACKAGE_VERSION_MAJOR "0" )
-SET ( PACKAGE_VERSION_MINOR "17" )
-SET ( PACKAGE_VERSION_PATCH "2" )
+SET ( PACKAGE_VERSION_MINOR "18" )
+SET ( PACKAGE_VERSION_PATCH "0" )
 
 SET ( PACKAGE_VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}${VERSION_SUFFIX}" )
