=== shared/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


# Process subdirectories

ADD_SUBDIRECTORY ( graphics )
