=== qasconfig/src/CMakeLists.txt ===
--- 
+++ 
@@ -60,7 +60,6 @@
 
 SET ( QT_USE_QTCORE TRUE )
 SET ( QT_USE_QTGUI TRUE )
-SET ( QT_USE_QTSVG TRUE )
 
 FIND_PACKAGE ( Qt4 4.6 REQUIRED )
 FIND_PACKAGE ( ALSA REQUIRED )
