=== qashctl/src/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,9 @@
 FIND_PACKAGE ( ALSA REQUIRED )
 INCLUDE ( ${QT_USE_FILE} )
 
+# TODO: FIND_PACKAGE
+SET ( UDEV_LIBRARIES udev )
+
 
 # Configure files
 INCLUDE ( CheckIncludeFiles )
@@ -23,18 +26,19 @@
 	${SHARED_SRC_DIR}/qsnd/alsa.cpp
 	${SHARED_SRC_DIR}/qsnd/alsa_config_watcher.cpp
 	${SHARED_SRC_DIR}/qsnd/event_types.cpp
-	${SHARED_SRC_DIR}/qsnd/ctl_address_arg.cpp
+	${SHARED_SRC_DIR}/qsnd/ctl_address_argument.cpp
 	${SHARED_SRC_DIR}/qsnd/ctl_address.cpp
-	${SHARED_SRC_DIR}/qsnd/ctl_def_arg.cpp
-	${SHARED_SRC_DIR}/qsnd/ctl_def.cpp
+	${SHARED_SRC_DIR}/qsnd/ctl_format_argument.cpp
+	${SHARED_SRC_DIR}/qsnd/ctl_format.cpp
 	${SHARED_SRC_DIR}/qsnd/card_info.cpp
-	${SHARED_SRC_DIR}/qsnd/controls_db.cpp
 	${SHARED_SRC_DIR}/qsnd/cards_model.cpp
+	${SHARED_SRC_DIR}/qsnd/controls_database.cpp
 	${SHARED_SRC_DIR}/qsnd/controls_model.cpp
 	${SHARED_SRC_DIR}/qsnd/mixer_hctl.cpp
 	${SHARED_SRC_DIR}/qsnd/mixer_hctl_elem.cpp
 	${SHARED_SRC_DIR}/qsnd/mixer_hctl_elem_group.cpp
 	${SHARED_SRC_DIR}/qsnd/mixer_hctl_info_db.cpp
+	${SHARED_SRC_DIR}/qsnd/udev_device_lookout.cpp
 
 	${SHARED_SRC_DIR}/dpe/image_allocator.cpp
 	${SHARED_SRC_DIR}/dpe/image.cpp
@@ -106,8 +110,8 @@
 	${SHARED_SRC_DIR}/views/message_widget.cpp
 	${SHARED_SRC_DIR}/views/view_base_setup.cpp
 	${SHARED_SRC_DIR}/views/view_base.cpp
-	${SHARED_SRC_DIR}/views/dev_select_view_setup.cpp
-	${SHARED_SRC_DIR}/views/dev_select_view.cpp
+	${SHARED_SRC_DIR}/views/device_selection_view_setup.cpp
+	${SHARED_SRC_DIR}/views/device_selection_view.cpp
 	${SHARED_SRC_DIR}/views/basic_dialog.cpp
 	${SHARED_SRC_DIR}/views/multi_page_dialog.cpp
 	${SHARED_SRC_DIR}/views/info_dialog.cpp
@@ -144,11 +148,12 @@
 
 SET ( SRC_GUI_HEADER_MOC
 	${SHARED_INC_DIR}/qsnd/alsa_config_watcher.hpp
-	${SHARED_INC_DIR}/qsnd/controls_db.hpp
 	${SHARED_INC_DIR}/qsnd/cards_model.hpp
+	${SHARED_INC_DIR}/qsnd/controls_database.hpp
 	${SHARED_INC_DIR}/qsnd/controls_model.hpp
 	${SHARED_INC_DIR}/qsnd/mixer_hctl.hpp
 	${SHARED_INC_DIR}/qsnd/mixer_hctl_elem.hpp
+	${SHARED_INC_DIR}/qsnd/udev_device_lookout.hpp
 
 	${SHARED_INC_DIR}/dpe/is_buffer.hpp
 	${SHARED_INC_DIR}/dpe/image_allocator.hpp
@@ -177,7 +182,7 @@
 
 	${SHARED_INC_DIR}/views/message_widget.hpp
 	${SHARED_INC_DIR}/views/view_base.hpp
-	${SHARED_INC_DIR}/views/dev_select_view.hpp
+	${SHARED_INC_DIR}/views/device_selection_view.hpp
 	${SHARED_INC_DIR}/views/basic_dialog.hpp
 	${SHARED_INC_DIR}/views/multi_page_dialog.hpp
 	${SHARED_INC_DIR}/views/info_dialog.hpp
@@ -228,6 +233,7 @@
 TARGET_LINK_LIBRARIES ( ${PROGRAM_NAME}
 	${QT_LIBRARIES}
 	${ALSA_LIBRARIES}
+	${UDEV_LIBRARIES}
 )
