=== debian/changelog ===
qastools (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-depends on libudev-dev.
  * Bump DH to 9.
  * Update debian/copyright, add debian/* stanza.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Jul 2014 11:47:26 +0100
