=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  Sebastian Holtermann <sebholt@xwmw.org>
 Build-Depends:
  cmake,
- debhelper (>= 8),
+ debhelper (>= 9),
  libasound2-dev,
  libqt4-dev,
+ libudev-dev,
  python-scour
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://xwmw.org/qastools
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qastools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qastools.git
