=== debian/watch ===
version=3
http://sf.net/qastools/qastools[-_]([\d\.]+)\.tar\.bz2
