=== qashctl/src/CMakeLists.txt ===
--- 
+++ 
@@ -212,8 +212,8 @@
 
 # Compiler flags
 ADD_DEFINITIONS ( "-Wextra -Wunused -Wall" )
-SET ( CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG -fno-inline" )
-SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG -Wl,--as-needed" )
+SET ( CMAKE_CXX_FLAGS_DEBUG "-O0 -g -fno-inline" )
+SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 -Wl,--as-needed" )
 
 
 # QT stuff
